import { NextStep } from "./next-step";
import { PreviousStep } from "./previous-step";
export declare class Step {
    id: string;
    label: string;
    type: string;
    positionX: number;
    positionY: number;
    trigger: boolean;
    image: string;
    valid: boolean;
    nextSteps: Array<NextStep>;
    previousSteps: Array<PreviousStep>;
    inputData: any;
    code: string;
    actionId: string;
    customProperties: boolean;
    logoUrl: string;
    loadingStep: boolean;
    jsFileAsString: string;
    note: string;
}
//# sourceMappingURL=step.d.ts.map